Create test event
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/test-events \
--header 'Content-Type: application/json' \
--data '
{
"testEvent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"context": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/test-events"
payload = { "testEvent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"context": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
testEvent: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
context: '<string>',
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
documentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://api.example.com/api/projects/{projectId}/test-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"context": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Test events
Create test event
Create a new test event within a project for testing decision logic with sample data.
POST
/
api
/
projects
/
{projectId}
/
test-events
Create test event
Path Parameters
ID of the project to create the test event in
Body
application/json
Test event data to create
Show child attributes
Show child attributes
Response
200 - application/json
The created test event
The created test event
Unique identifier of the test event
Name of the test event
JSON context data for the test event
Category of the test event (private, shared, or global)
Available options:
private, shared, global ID of the project this test event belongs to
ID of the user who owns this test event (for private events)
ID of the document this test event is associated with
Was this page helpful?
⌘I